# NumericUpDownExtensions

Namespace: **Wisej.Web.Markup**

Assembly: **Wisej.Framework** (4.0.0.0)

Adds [fluent markup](https://learn.microsoft.com/en-us/dotnet/communitytoolkit/maui/markup/markup) extension methods to the [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) class.

{% tabs %}
{% tab title="C#" %}

```csharp
public class NumericUpDownExtensions
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class NumericUpDownExtensions
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/lIX317sDtMTZJBi9oSIx) DecimalPlaces\<TNumericUpDownControl>(numericUpDownControl, decimalPlaces)

Sets the number of decimal places for the specified [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control.

| Parameter                 | Type                                                                                                  | Description                              |
| ------------------------- | ----------------------------------------------------------------------------------------------------- | ---------------------------------------- |
| **TNumericUpDownControl** |                                                                                                       | The type of the numeric up-down control. |
| **numericUpDownControl**  | [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md) | The numeric up-down control to modify.   |
| **decimalPlaces**         | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                           | The number of decimal places.            |

**Returns:** [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md). The modified numeric up-down control.

### ![](/files/lIX317sDtMTZJBi9oSIx) Hexadecimal\<TNumericUpDownControl>(numericUpDownControl, isHexadecimal)

Determines whether the specified [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control should display values in hexadecimal.

| Parameter                 | Type                                                                                                  | Description                                         |
| ------------------------- | ----------------------------------------------------------------------------------------------------- | --------------------------------------------------- |
| **TNumericUpDownControl** |                                                                                                       | The type of the numeric up-down control.            |
| **numericUpDownControl**  | [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md) | The numeric up-down control to modify.              |
| **isHexadecimal**         | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean)                                       | Indicates whether to display values in hexadecimal. |

**Returns:** [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md). The modified numeric up-down control.

### ![](/files/lIX317sDtMTZJBi9oSIx) Increment\<TNumericUpDownControl>(numericUpDownControl, increment)

Sets the increment for the specified [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control.

| Parameter                 | Type                                                                                                  | Description                              |
| ------------------------- | ----------------------------------------------------------------------------------------------------- | ---------------------------------------- |
| **TNumericUpDownControl** |                                                                                                       | The type of the numeric up-down control. |
| **numericUpDownControl**  | [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md) | The numeric up-down control to modify.   |
| **increment**             | [Decimal](https://docs.microsoft.com/dotnet/api/system.decimal)                                       | The increment value.                     |

**Returns:** [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md). The modified numeric up-down control.

### ![](/files/lIX317sDtMTZJBi9oSIx) Maximum\<TNumericUpDownControl>(numericUpDownControl, maximum)

Sets the maximum value for the specified [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control.

| Parameter                 | Type                                                                                                  | Description                              |
| ------------------------- | ----------------------------------------------------------------------------------------------------- | ---------------------------------------- |
| **TNumericUpDownControl** |                                                                                                       | The type of the numeric up-down control. |
| **numericUpDownControl**  | [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md) | The numeric up-down control to modify.   |
| **maximum**               | [Decimal](https://docs.microsoft.com/dotnet/api/system.decimal)                                       | The maximum value.                       |

**Returns:** [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md). The modified numeric up-down control.

### ![](/files/lIX317sDtMTZJBi9oSIx) Minimum\<TNumericUpDownControl>(numericUpDownControl, minimum)

Sets the minimum value for the specified [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control.

| Parameter                 | Type                                                                                                  | Description                              |
| ------------------------- | ----------------------------------------------------------------------------------------------------- | ---------------------------------------- |
| **TNumericUpDownControl** |                                                                                                       | The type of the numeric up-down control. |
| **numericUpDownControl**  | [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md) | The numeric up-down control to modify.   |
| **minimum**               | [Decimal](https://docs.microsoft.com/dotnet/api/system.decimal)                                       | The minimum value.                       |

**Returns:** [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md). The modified numeric up-down control.

### ![](/files/lIX317sDtMTZJBi9oSIx) NullableValue\<TNumericUpDownControl>(numericUpDownControl, nullableValue)

Sets a nullable value for the specified [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control.

| Parameter                 | Type                                                                                                  | Description                              |
| ------------------------- | ----------------------------------------------------------------------------------------------------- | ---------------------------------------- |
| **TNumericUpDownControl** |                                                                                                       | The type of the numeric up-down control. |
| **numericUpDownControl**  | [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md) | The numeric up-down control to modify.   |
| **nullableValue**         | [Nullable\<Decimal>](https://docs.microsoft.com/dotnet/api/system.nullable-1)                         | The nullable value to set; can be null.  |

**Returns:** [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md). The modified numeric up-down control.

### ![](/files/lIX317sDtMTZJBi9oSIx) OnValueChanged\<TNumericUpDownControl>(numericUpDownControl, action)

Attaches a value-changed event handler to the specified [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control.

| Parameter                 | Type                                                                                                  | Description                                   |
| ------------------------- | ----------------------------------------------------------------------------------------------------- | --------------------------------------------- |
| **TNumericUpDownControl** |                                                                                                       | The type of the numeric up-down control.      |
| **numericUpDownControl**  | [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md) | The numeric up-down control to modify.        |
| **action**                | [Action\<TNumericUpDownControl>](https://docs.microsoft.com/dotnet/api/system.action-1)               | The action to perform when the value changes. |

**Returns:** [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md). The numeric up-down control with the event handler attached.

### ![](/files/lIX317sDtMTZJBi9oSIx) Prefix\<TNumericUpDownControl>(numericUpDownControl, prefix)

Sets a prefix for the display value of the specified [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control.

| Parameter                 | Type                                                                                                  | Description                                     |
| ------------------------- | ----------------------------------------------------------------------------------------------------- | ----------------------------------------------- |
| **TNumericUpDownControl** |                                                                                                       | The type of the numeric up-down control.        |
| **numericUpDownControl**  | [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md) | The numeric up-down control to modify.          |
| **prefix**                | [String](https://docs.microsoft.com/dotnet/api/system.string)                                         | The prefix to display before the numeric value. |

**Returns:** [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md). The modified numeric up-down control.

### ![](/files/lIX317sDtMTZJBi9oSIx) Suffix\<TNumericUpDownControl>(numericUpDownControl, postfix)

Sets a suffix for the display value of the specified [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control.

| Parameter                 | Type                                                                                                  | Description                                    |
| ------------------------- | ----------------------------------------------------------------------------------------------------- | ---------------------------------------------- |
| **TNumericUpDownControl** |                                                                                                       | The type of the numeric up-down control.       |
| **numericUpDownControl**  | [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md) | The numeric up-down control to modify.         |
| **postfix**               | [String](https://docs.microsoft.com/dotnet/api/system.string)                                         | The suffix to display after the numeric value. |

**Returns:** [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md). The modified numeric up-down control.

### ![](/files/lIX317sDtMTZJBi9oSIx) ThousandsSeparator\<TNumericUpDownControl>(numericUpDownControl, thousandsSeparator)

Configures whether the specified [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control should display a thousands separator.

| Parameter                 | Type                                                                                                  | Description                                     |
| ------------------------- | ----------------------------------------------------------------------------------------------------- | ----------------------------------------------- |
| **TNumericUpDownControl** |                                                                                                       | The type of the numeric up-down control.        |
| **numericUpDownControl**  | [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md) | The numeric up-down control to modify.          |
| **thousandsSeparator**    | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean)                                       | Indicates whether to use a thousands separator. |

**Returns:** [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md). The modified numeric up-down control.

### ![](/files/lIX317sDtMTZJBi9oSIx) Value\<TNumericUpDownControl>(numericUpDownControl, value)

Sets the current value for the specified [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control.

| Parameter                 | Type                                                                                                  | Description                              |
| ------------------------- | ----------------------------------------------------------------------------------------------------- | ---------------------------------------- |
| **TNumericUpDownControl** |                                                                                                       | The type of the numeric up-down control. |
| **numericUpDownControl**  | [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md) | The numeric up-down control to modify.   |
| **value**                 | [Decimal](https://docs.microsoft.com/dotnet/api/system.decimal)                                       | The value to set.                        |

**Returns:** [TNumericUpDownControl](/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md). The modified numeric up-down control.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web.markup/extensions/wisej.web.markup.numericupdownextensions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
